petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMLocalToLocalEndDefaultShell

Uses the LocalToLocal VecScatter context set by the user to end a local to local scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToLocalEndDefaultShell(DM dm,Vec g,InsertMode mode,Vec l)

### Input Arguments

| dm | - shell DM
| g | - the original local vector
| mode | - InsertMode

### Output Parameter

l -the local vector with correct ghost values

### See Also

DMLocalToLocalBeginDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages